-- MySQL dump 8.22
--
-- Host: localhost    Database: lit_itest
---------------------------------------------------------
-- Server version	3.23.55-log

CREATE DATABASE lit_itestd;
USE lit_itestd;

--
-- Table structure for table 'answers'
--

CREATE TABLE answers (
  id int NOT NULL auto_increment,
  ido int default NULL,
  content varchar(255) default NULL,
  isright int default NULL,
  mark int default NULL,
  maxtime int default NULL,
  PRIMARY KEY  (id),
  KEY ido (ido)
) ;


--
-- Table structure for table 'media'
--

CREATE TABLE media (
  id int NOT NULL auto_increment,
  ido int default NULL,
  code int default NULL,
  otype int default NULL,
  path varchar(255) default NULL,
  PRIMARY KEY  (id),
  KEY ido (ido,otype)
) ;


--
-- Table structure for table 'seance'
--

CREATE TABLE seance (
  id int NOT NULL auto_increment,
  uid varchar(32) default NULL,
  iduser int default NULL,
  sip varchar(16) default NULL,
  closed int default NULL,
  sstart datetime default NULL,
  sstop datetime default NULL,
  PRIMARY KEY  (id),
  KEY uid (uid),
  KEY closed (closed)
) ;


--
-- Table structure for table 'seanceansw'
--

CREATE TABLE seanceansw (
  id int NOT NULL auto_increment,
  ido int default NULL,
  code int default NULL,
  idtest int default NULL,
  idtopic int default NULL,
  idanswer int default NULL,
  mark int default NULL,
  answtime datetime default NULL,
  answtimecount int default NULL,
  ismarked int default NULL,
  PRIMARY KEY  (id),
  KEY ido (ido),
  KEY code (code),
  KEY idtopic (idtopic),
  KEY idanswer (idanswer)
) ;


--
-- Table structure for table 'testtopics'
--

CREATE TABLE testtopics (
  id int NOT NULL auto_increment,
  parent int default '0',
  nlevel int default '0',
  isgroup int default '0',
  code int default '0',
  content varchar(255) default NULL,
  mark int default NULL,
  maxtime int default NULL,
  tpl varchar(255) default NULL,
  mchoice int default '0',
  PRIMARY KEY  (id),
  KEY parent (parent),
  KEY nlevel (nlevel),
  KEY isgroup (isgroup),
  KEY content (content),
  KEY code (code)
) ;


--
-- Table structure for table 'ugroups'
--

CREATE TABLE ugroups (
  id int NOT NULL auto_increment,
  name varchar(20) default NULL,
  remark varchar(255) default NULL,
  PRIMARY KEY  (id)
) ;

/*!40000 ALTER TABLE ugroups DISABLE KEYS */;

--
-- Dumping data for table 'ugroups'
--
LOCK TABLES ugroups WRITE;
INSERT INTO ugroups VALUES (1,'','       '),(2,'','   ,        '),(3,'','    ,   ,  ,        ');
/*!40000 ALTER TABLE ugroups ENABLE KEYS */;
UNLOCK TABLES;


--
-- Table structure for table 'users'
--

CREATE TABLE users (
  id int NOT NULL auto_increment,
  loginname varchar(50) default '',
  password varchar(20) default '',
  utype int default '0',
  fullname varchar(150) default NULL,
  address varchar(100) default NULL,
  phone varchar(30) default NULL,
  ugroup varchar(50) default NULL,
  school varchar(100) default NULL,
  PRIMARY KEY  (id),
  KEY loginname (loginname),
  KEY fullname (fullname),
  KEY utype (utype),
  KEY ugroup (ugroup),
  KEY school (school)
) ;



--
-- Table structure for table 'system'
--

CREATE TABLE system (
  version varchar(5) default NULL
) ;

--
-- Dumping data for table 'system'
--
LOCK TABLES system WRITE;
INSERT INTO system VALUES ('1.0');
/*!40000 ALTER TABLE system ENABLE KEYS */;
UNLOCK TABLES;
